{
  "name": "eco-gusto-shop",
  "private": true,
  "version": "1.0.1",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "lint": "eslint . --ext js,jsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@react-input/mask": "^1.2.5",
    "@reduxjs/toolkit": "^2.2.6",
    "classnames": "^2.5.1",
    "formik": "^2.4.6",
    "prop-types": "^15.8.1",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-intersection-observer": "^9.13.0",
    "react-redux": "^9.1.2",
    "react-router-dom": "^6.24.0",
    "react-tabs": "^6.0.2",
    "reactjs-star-rating": "^0.3.0",
    "swiper": "^11.1.5",
    "yup": "^1.4.0"
  },
  "devDependencies": {
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/preset-env": "^7.24.7",
    "@babel/preset-react": "^7.24.7",
    "@jest/globals": "^29.7.0",
    "@testing-library/jest-dom": "^6.4.6",
    "@testing-library/react": "^16.0.0",
    "@testing-library/user-event": "^14.5.2",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@vitejs/plugin-react": "^4.3.1",
    "babel-jest": "^29.7.0",
    "eslint": "^8.57.0",
    "eslint-plugin-react": "^7.34.2",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-plugin-react-refresh": "^0.4.7",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-svg-transformer": "^1.0.0",
    "sass": "^1.77.6",
    "vite": "^5.4.1",
    "vite-plugin-svgr": "^4.2.0"
  }
}
